{% set PageTitle = "Request One Time Access Code" %}

{% extends "opvmaster.html" %}
{% block styles %}
{% endblock %}
{% block main %}


<div class="opv-main" id="opv-master">
    <div class="opv-master theme-cool-grey">
        <div class="opv-master__container container">
          <div class="opv-master__main">
            <div class="opv-master__left-content">
                <div id="opv-left-nav"></div>
                <div class="break"></div>
                <div id="opv-reg-tooltip"></div>
            </div>
            <div class="opv-master__right-content">
                <div id="opv-right-nav"></div>
            </div>
          </div>
        </div>
      </div>
</div>
{% endblock %}
{% block scripts %}

<script>    
    //Left-Nav ::::OpvSendVerificationCodeForm
    ReactDOM.render(React.createElement(Components.OpvSendVerificationCodeForm,{
        formArea1: `<div id="create-acc-svc"></div>`,
        content:`<p><b>Create your password</b></p>
        <p>Your password needs:</p>
        <ul>
            <li>A number</li>
            <li>A symbol</li>
            <li>Upper and lowercase letters</li>
            <li>Between 8 and 14 characters</li>
        </ul>
        `,
        formArea2: `<div id="form-area2"></div>`,
    }), document.getElementById("opv-left-nav"));

    ReactDOM.render(React.createElement(Components.Form, {
            endpoint : '#',
            id: 'sendVerificationCodeForm',
            submit : 'Send verification code',
            heading :'Create your account',
            intro : `<p>Please enter an email address below, this will be your login username.</p>
            <p>To check the address is valid we need to send you an email containing a verification code.
                After clicking ‘send verification code’ you should receive this email within the next 5 minutes, please make sure to check your spam or junk folders.
            </p>
            `,
            groups: [
            {
                id : 'group1',
                fields:[
                    {
                        id : 'email-add-svc',
                        type : 'email',
                        label : 'Email address',
                        placeholder : 'Enter your email address',
                        isRequired : false
                    }
                ]
            }
        ]
    }), document.getElementById("create-acc-svc"));

    ReactDOM.render(React.createElement(Components.Form, {
        endpoint : '#',
        submit : 'Register',
        groups: [
            {
                id : 'group1',
                fields:[
                    {
                        id : 'pass',
                        type : 'text',
                        label : 'Password',
                        isRequired : false
                    },
                    {
                        id : 'conf-pass',
                        type : 'text',
                        label : 'Confirm password',
                        isRequired : false
                    }
                ]
            }
        ]
    }), document.getElementById("form-area2"));

    ReactDOM.render(React.createElement(Components.OpvRegTooltip, {        
        link: `<a href="#">Why do we need this information?</a>`, 
        title : `<h6 class="infoheading">Why do we need this information?</h6>`,
        description: `<p class="paraContent">In order to complete the registration process you will need to input a One Time Access Code you received in the post and your current pension policy number.
            The data collected will not for used for any other purposes and will not be stored for longer than is required.
        </p>`,
    }), document.getElementById("opv-reg-tooltip"));

    ReactDOM.render(React.createElement(Components.OpvRightNav, {
        title: `Need some help?`,
        content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
        cta:`<img src="../../dist/images/icon/icon-faq.svg" />`,
        faqTxt: `FAQ`,
        theme:{
            themeName:'cool-grey'
        },
        
        faqContent: `<h6>FAQ’s</h6>
            <p class="faq-subhead"><b>Registration</b></p>

            <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            
            <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="paraHeading"><b>Logged in</b></p>

            <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
            <p class="faq-copy ans"><b>A.</b></p>`
    }), document.getElementById('opv-right-nav'));
    
</script>

{% endblock %}
